VirtualBox

Ticket #19590 (closed defect: fixed)

Opened 6 months ago

Last modified 6 months ago

VBoxClient: The parent session seems to be non-X11 (fixed in 6.1.10)

Reported by: Wheaties Owned by: fbatschu
Component: guest additions/x11/graphics Version: VirtualBox 6.1.8
Keywords: oracle linux 6.10 screen resize X11 6.1.8 Cc:
Guest type: Linux Host type: all

Description

Just updated to VirtualBox 6.1.8. The host OS is Fedora 31. The guest is OracleLinux-6.10. The system is a Lenovo W530.

I get the message; VBoxClient: The parent session seems to be non-X11. Exiting... on login. Screen resize does not work.

Let me know how I can help.

Matt

Attachments

OracleLinux-6.6-Two Clone-2020-05-16-12-12-01.log Download (158.0 KB) - added by Wheaties 6 months ago.
Log of guest recently updated to 6.1.8 "Parent session seems to be non-X11"
screengrab.png Download (7.2 KB) - added by Wheaties 6 months ago.
I get two of these on log in

Change History

Changed 6 months ago by Wheaties

Log of guest recently updated to 6.1.8 "Parent session seems to be non-X11"

comment:1 Changed 6 months ago by fbatschu

  • Status changed from new to awaitsfeedback

Is your Oracle Linux 6.10 guest VM running Xwayland by any chance instead of Xorg? If yes, then this error is to be expected, screen resizing does not work with Xwayland.

The entire message should have been:

 673     if (!isX11())                                                                                                                  
 674     {                                                                                                                              
 675         VBClLogFatalError("The parent session seems to be non-X11. Exiting...\n");                                                 
 676         VBClLogInfo("This service needs X display server for resizing and multi monitor handling to work\n");                      
 677         return false;                                                                                                              
 678     }                                  

comment:2 Changed 6 months ago by Wheaties

Screen resizing did work prior to the update. It is not running Xwayland

$ ps -ef | grep -i xorg root 2774 2766 3 16:46 tty1 00:00:01 /usr/bin/Xorg :0 -br -verbose -audit 4 -auth /var/run/gdm/auth-for-gdm-pxOgJW/database -nolisten tcp vt1 mwheat 3368 3365 0 16:47 pts/0 00:00:00 grep -i xorg $ ps -ef | grep -i xway mwheat 3370 3365 0 16:47 pts/0 00:00:00 grep -i xway

Changed 6 months ago by Wheaties

I get two of these on log in

comment:3 Changed 6 months ago by Wheaties

Correction: The host OS is fedora-30 if that makes a difference

comment:4 Changed 6 months ago by Wheaties

I'm getting strange output from dnf packaging:

# dnf info virtualbox Last metadata expiration check: 2:51:14 ago on Sat 16 May 2020 02:15:51 PM EDT. Error: No matching Packages to list

# dnf info Virtualbox Last metadata expiration check: 2:51:26 ago on Sat 16 May 2020 02:15:51 PM EDT. Error: No matching Packages to list

# dnf info VirtualBox Last metadata expiration check: 2:51:39 ago on Sat 16 May 2020 02:15:51 PM EDT. Error: No matching Packages to list #

# dnf info VirtualBox-6.1

Last metadata expiration check: 0:00:48 ago on Sat 16 May 2020 05:18:42 PM EDT. Installed Packages Name : VirtualBox-6.1

Version : 6.1.8_137981_fedora31

Release : 1

Architecture : x86_64

Size : 219 M

Source : VirtualBox-6.1-6.1.8_137981_fedora31-1.src.rpm

Repository : @System

From repo : virtualbox

Summary : Oracle VM VirtualBox

URL :  http://www.virtualbox.org/

License : GPLv2

Description : VirtualBox is a powerful PC virtualization solution allowing

: you to run a wide range of PC operating systems on your Linux

: system. This includes Windows, Linux, FreeBSD, DOS, OpenBSD

: and others. VirtualBox comes with a broad feature set and

: excellent performance, making it the premier virtualization

: software solution on the market.

(additional formatting added for readability)

Normally, I would expect 'dnf info virtualbox' to return package info.

I'm also getting strange output from a fedora-31 update, but I suppose that's a different bug listing

comment:5 Changed 6 months ago by Wheaties

Output of dnf upgrade for virtualbox on fedora31 can be seen in defect #19592

Last edited 6 months ago by fbatschu (previous) (diff)

comment:6 Changed 6 months ago by fbatschu

  • Status changed from awaitsfeedback to new

comment:7 Changed 6 months ago by fbatschu

Yes I can confirm that the guest resizing does not work with the brand new 6.1.8 GA versions inside a Oracle Linux 6.10 guest because of the X11 check:

[fbatschu@ol6 ~]$ /usr/bin/VBoxClient -f -d --vmsvga-x11
The parent session seems to be non-X11. Exiting...
This service needs X display server for resizing and multi monitor handling to work
Running service failed: VERR_NOT_AVAILABLE

The last working resize fix was the one from the test builds without that X11 check:

[  335.879530] 09:28:25.721264 main     VBoxService 6.1.97 r137813 (verbosity: 0) linux.amd64 (May 11 2020 14:54:22) release log
[  335.879966] 09:28:25.721837 main     Executable: /opt/VBoxGuestAdditions-6.1.97/sbin/VBoxService

32.938014] vboxguest: module verification failed: signature and/or required key missing - tainting kernel
[   32.947712] vboxguest: Successfully loaded version 6.1.97
[   32.947737] vboxguest: misc device minor 58, IRQ 20, I/O port d040, MMIO at 00000000f4400000 (size 0x400000)
[   32.947739] vboxguest: Successfully loaded version 6.1.97 (interface 0x00010004)
[   96.210589] vboxsf: g_fHostFeatures=0x8000000f g_fSfFeatures=0x1 g_uSfLastFunction=29
[   96.210961] vboxsf: Successfully loaded version 6.1.97
[   96.211046] vboxsf: Successfully loaded version 6.1.97 on 4.1.12-124.39.2.el6uek.x86_64 SMP mod_unload modversions (LINUX_VERSION_CODE=0x4010c)
root      2842  2833  0 10:58 tty1     00:00:01

It is really only X that is running:

/usr/bin/Xorg :0 -br -verbose -audit 4 -auth /var/run/gdm/auth-for-gdm-B88DIB/database -nolisten tcp vt1
Last edited 6 months ago by fbatschu (previous) (diff)

comment:8 Changed 6 months ago by fbatschu

  • Keywords oracle linux 6.10 screen resize X11 added

comment:9 Changed 6 months ago by tyn4ae

Having the same issue together with additional different issues. Host: Xubuntu 18.04 Guest: Xubuntu 18.04

As soon as installed guest additions 6.1.8, rebooted the guest and as i logged in, it then aborts the whole VM with segfault in my syslog I tried again, but before logging in this time, i went to tty1 and logged in there and typed startx, it starts x11 window successfully, then i get that error from this reported bug: "The parent session seems to be non-X11" as an inotify above.

I have reproduced this on another fresh Xubuntu Guest - same issues.

I have now changed back to Guest Additions 6.0.18 and login works. Please fix this.

PS: Guest Window resizing does not work either, as mentioned above.

Last edited 6 months ago by tyn4ae (previous) (diff)

comment:10 Changed 6 months ago by Wheaties

I had more time to play with this issue. The host has been upgraded to fedora 31 (really, no... really) Also tried booting both the Enterprise and Linux Compatible kernels. None of these changes had any effect on the problem

I have a guest that's identical to the guest having the issue. This guest is fine using guest addition 6.1.0 r135406. Everything else is the same.

comment:11 Changed 6 months ago by fbatschu

So here's what I found regarding the fix for #19496 in 6.1.8:

(NB: All Xorg configurations, no Xwayland)

Worked with the inital testbuild, still GOOD with 6.1.8:


Oracle Linux 8.2, 8.1, 7.8
Ubuntu 20.04, 19.10, 19.04, 18.04.04, 16.04
Fedora Rawhide (5.7.0-rc2), 31, 30
OpenSuse Tumbleweed (5.6.12),15.1
Debian 10, 9.11
CentOS 8.1, 8 Stream, 8, 7

Worked with inital testbuild, but NOW FAIL after adding X11 check in 6.1.8:


Oracle Linux 6.10
CentOS 6.10
OpenSuse 42.3, 41.2
Ubuntu 14.04

Did not worked with the inital testbuild, does not work with 6.1.8 due X11 check:


Ubuntu 12.04

Last edited 6 months ago by fbatschu (previous) (diff)

comment:12 Changed 6 months ago by fbatschu

so in VBox-6.1/src/VBox/Additions/x11/VBoxClient/display-svga-x11.cpp we use the following method to determine whether or not we're running in an X11 environment and not in Xwayland.

 657  * Tries to determine if the session parenting this process is of X11.                                                             
 658  */                                                                                                                                
 659 static bool isX11()                                                                                                                
 660 {                                                                                                                                  
 661     char* pSessionType;                                                                                                            
 662     pSessionType = getenv("XDG_SESSION_TYPE");                                                                                     
 663     if (pSessionType != NULL)                                                                                                      
 664     {                                                                                                                              
 665         if (RTStrIStartsWith(pSessionType, "x11"))                                                                                 
 666             return true;                                                                                                           
 667     }                                                                                                                              
 668     return false;                                                                                                                  
 669 }                                                                                                                                  
 670                                                                                                                                    
 671 static bool init()                                                                                                                 
 672 {                                                                                                                                  
 673     if (!isX11())                                                                                                                  
 674     {                                                                                                                              
 675         VBClLogFatalError("The parent session seems to be non-X11. Exiting...\n");                                                 
 676         VBClLogInfo("This service needs X display server for resizing and multi monitor handling to work\n");                      
 677         return false;                                                                                                              
 678     }  

So we can now work this the assumption that the older releases I recorded as failing do not support or set the environment variable XDG_SESSION_TYPE. Will verify.

Bug introduced in 6.1.8 via bug fix for #19496

Last edited 6 months ago by fbatschu (previous) (diff)

comment:13 Changed 6 months ago by fbatschu

OK here we go only to find out that the older distributions I listed under fail do not set the environment variable XDG_SESSION_TYPE.

We can also see how it is set for Xwayland below:

Oracle Linux 6.2:

[fbatschu@ol6 Desktop]$ env|grep X
XDG_SESSION_COOKIE=173563e7e434f6ea45fd84e300000016-1589809638.657899-606960472
XMODIFIERS=@im=none
XAUTHORITY=/var/run/gdm/auth-for-fbatschu-ZOM6oR/database
 
[fbatschu@ol6 Desktop]$ env|grep GDM
GDM_KEYBOARD_LAYOUT=us
GDM_LANG=en_US.UTF-8
GDMSESSION=gnome

OpenSuse 42.3:

fbatschu@linux-ntkd:~> env|grep X
XDG_VTNR=7
XDG_SESSION_ID=1
XKEYSYMDB=/usr/X11R6/lib/X11/XKeysymDB
XDG_MENU_PREFIX=gnome-
XSESSION_IS_UP=yes
XNLSPATH=/usr/share/X11/nls
XDG_CONFIG_DIRS=/etc/xdg
PATH=/home/fbatschu/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/games
XMODIFIERS=@im=local
XDG_SEAT=seat0
XCURSOR_THEME=DMZ
XDG_SESSION_DESKTOP=gnome-classic
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-pXt91qoLcy,guid=1708366576b9d9d0d14941465ec29332
XDG_DATA_DIRS=/usr/share
XDG_RUNTIME_DIR=/run/user/1000
XDG_CURRENT_DESKTOP=GNOME-Classic:GNOME
XAUTHLOCALHOSTNAME=linux-ntkd
XAUTHORITY=/run/gdm/auth-for-fbatschu-F2U9u9/database
 
fbatschu@linux-ntkd:~> env|grep GDM
GDMSESSION=gnome-classic

OpenSuse 42.1:

fbatschu@linux-9798:~> env|grep X
XDG_VTNR=7
XDG_SESSION_ID=1
XKEYSYMDB=/usr/X11R6/lib/X11/XKeysymDB
XDG_MENU_PREFIX=gnome-
XSESSION_IS_UP=yes
XNLSPATH=/usr/share/X11/nls
XDG_CONFIG_DIRS=/etc/xdg
PATH=/home/fbatschu/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/games
XMODIFIERS=@im=local
XDG_SEAT=seat0
XCURSOR_THEME=DMZ
XDG_SESSION_DESKTOP=gnome
XDG_DATA_DIRS=/usr/share
XDG_RUNTIME_DIR=/run/user/1000
XDG_CURRENT_DESKTOP=GNOME
XAUTHLOCALHOSTNAME=linux-9798
XAUTHORITY=/run/gdm/auth-for-fbatschu-hFtTc0/database
 
fbatschu@linux-9798:~> env|grep GDM
GDMSESSION=gnome

Oracle Linux 8.1 Xwayland:

[fbatschu@localhost Desktop]$ env|grep X
XDG_MENU_PREFIX=gnome-
XDG_VTNR=2
XDG_SESSION_ID=2
XDG_SESSION_TYPE=wayland
XDG_DATA_DIRS=/home/fbatschu/.local/share/flatpak/exports/share/:/var/lib/flatpak/exports/share/:/usr/local/share/:/usr/share/
XDG_SESSION_DESKTOP=gnome-classic-wayland
XMODIFIERS=@im=ibus
XDG_CURRENT_DESKTOP=GNOME-Classic:GNOME
XDG_SEAT=seat0
XDG_RUNTIME_DIR=/run/user/1000
 
[fbatschu@localhost Desktop]$ env|grep GDM
GDM_LANG=en_US.UTF-8
GDMSESSION=gnome-classic-wayland

[fbatschu@localhost ~]$ env|grep DISPLAY
DISPLAY=:0
WAYLAND_DISPLAY=wayland-0

Fedora 31 Xwayland:

[fbatschu@localhost ~]$ env|grep X
XDG_MENU_PREFIX=gnome-
XMODIFIERS=@im=ibus
XDG_SESSION_DESKTOP=gnome
XDG_SESSION_TYPE=wayland
XAUTHORITY=/run/user/1000/.mutter-Xwaylandauth.3OG7K0
XDG_CURRENT_DESKTOP=GNOME
XDG_SESSION_CLASS=user
XDG_RUNTIME_DIR=/run/user/1000
XDG_DATA_DIRS=/home/fbatschu/.local/share/flatpak/exports/share/:/var/lib/flatpak/exports/share/:/usr/local/share/:/usr/share/
 
[fbatschu@localhost ~]$ env|grep GDM
GDM_LANG=en_US.UTF-8
GDMSESSION=gnome
Last edited 6 months ago by fbatschu (previous) (diff)

comment:15 Changed 6 months ago by fbatschu

From the comments in

 https://gitlab.gnome.org/GNOME/gtk/issues/1224

Lennart Poettering
Lennart Poettering @poettering · 1 year ago

XDG_SESSION_ID, XDG_SESSION_TYPE, XDG_SESSION_CLASS, XDG_SESSION_DESKTOP, XDG_SEAT, XDG_VTNR are all systemd inventions.
 I added them back when we introduced XDG_RUNTIME_DIR. 
I chose the prefix XDG_ because there were supposed to become 
defined in an fdo spec of some kind, but I never bothered to 
actually do that, I didn't want to have all those discussions...
(For the XDG_RUNTIME_DIR stuff I did do the work, and it is part of xdg-basedir since a long time)

I think it would still make a lot of sense to write a formal fdo 
spec for them, if anyone cares (I am not volunteering). That said, they are documented within the systemd context and will be set on all sessions on all systemd systems:

https://www.freedesktop.org/software/systemd/man/pam_systemd.html

Hence, they are definitely documented API already and have been for a long time, without any sort of API breakage or anything. The question is simply whether systemd is good enough as a standardizing body for you, or if you want something in fdo instead...

So they are not availabe to these older Linux distributions simply because those do not use systemd at all. Ie. this environment variable will be also missing on any modern Linux distro without systemd support, and there are some.

Might use WAYLAND_DISPLAY and DISPLAY instead of XDG_SESSION_TYPE.

XDG_SESSION_TYPE is a non-standard part of systemd, and not set if you run a compositor from the command line, for instance.

Last edited 6 months ago by fbatschu (previous) (diff)

comment:16 Changed 6 months ago by fbatschu

I'd suggest a much more conservative approach to determine whether or not we might assume an X11 environment, and that is by explicitely checking for the Xwayland case instead of the X11 case. This should work for older, nonsystemd distros that currently fail the check:

Last edited 6 months ago by fbatschu (previous) (diff)

comment:17 Changed 6 months ago by fbatschu

Using the following changeset enables resizing again for non-systemd Xorg distros/environments while retaining the functionality of disabling resizing on Xwayland because it cannot work currently.

Index: src/VBox/Additions/x11/VBoxClient/display-svga-x11.cpp
===================================================================
--- src/VBox/Additions/x11/VBoxClient/display-svga-x11.cpp	(revision 138019)
+++ src/VBox/Additions/x11/VBoxClient/display-svga-x11.cpp	(working copy)
@@ -654,23 +654,28 @@
 }
 
 /**
- * Tries to determine if the session parenting this process is of X11.
+ * Tries to determine if the session parenting this process is of Xwayland.
+ * NB: XDG_SESSION_TYPE is a systemd(1) environment variable and is unlikely
+ * set in non-systemd Linux distributions. For this reason we also check
+ * for the Xwayland specific display environment variable.
  */
-static bool isX11()
+static bool isXwayland(void)
 {
-    char* pSessionType;
-    pSessionType = getenv("XDG_SESSION_TYPE");
-    if (pSessionType != NULL)
-    {
-        if (RTStrIStartsWith(pSessionType, "x11"))
-            return true;
+    const char *const pSessionType = getenv("XDG_SESSION_TYPE");
+    const char *pDisplayType;
+
+    if ((pSessionType != NULL) && (RTStrIStartsWith(pSessionType, "wayland"))) {
+        return true;
     }
+    if ((pDisplayType = getenv("WAYLAND_DISPLAY")) != NULL) {
+        return true;
+    }
     return false;
 }
 
 static bool init()
 {
-    if (!isX11())
+    if (isXwayland())
     {
         VBClLogFatalError("The parent session seems to be non-X11. Exiting...\n");
         VBClLogInfo("This service needs X display server for resizing and multi monitor handling to work\n");

With this changeset in place, we get the ones I reported as failing due to the X11 check working again:


Oracle Linux 6.10
CentOS 6.10
OpenSuse 42.3, 41.2
Ubuntu 14.04

However, we're left with Ubuntu 12.04 which still does not get resizing to work, but obviously for other reasons. Maybe its Xorg version playes a rule? Ubuntu 12.04 runs with Xorg 1.15.1 while Ubuntu 14.04 runs with Xorg 1.18.3. Anyways that'd be an issue for a seperate bug.

Last edited 6 months ago by fbatschu (previous) (diff)

comment:18 Changed 6 months ago by fbatschu

  • Owner set to fbatschu
  • Status changed from new to accepted

comment:19 Changed 6 months ago by fbatschu

  • Host type changed from Linux to all

comment:20 Changed 6 months ago by fbatschu

  • Component changed from guest additions to guest additions/x11/graphics

comment:21 Changed 6 months ago by fbatschu

So what I finally putbacked into Trunk is this:

Index: src/VBox/Additions/x11/VBoxClient/display-svga-x11.cpp
===================================================================
--- src/VBox/Additions/x11/VBoxClient/display-svga-x11.cpp	(revision 138050)
+++ src/VBox/Additions/x11/VBoxClient/display-svga-x11.cpp	(working copy)
@@ -654,16 +654,22 @@
 }
 
 /**
- * Tries to determine if the session parenting this process is of X11.
+ * Tries to determine if the session parenting this process is of Xwayland.
+ * NB: XDG_SESSION_TYPE is a systemd(1) environment variable and is unlikely
+ * set in non-systemd environments or remote logins.
+ * Therefore we check the Wayland specific display environment variable first.
  */
-static bool isX11()
+static bool isXwayland(void)
 {
-    char* pSessionType;
+    const char *const pDisplayType = getenv("WAYLAND_DISPLAY");
+    const char *pSessionType;
+
+    if (pDisplayType != NULL) {
+        return true;
+    }
     pSessionType = getenv("XDG_SESSION_TYPE");
-    if (pSessionType != NULL)
-    {
-        if (RTStrIStartsWith(pSessionType, "x11"))
-            return true;
+    if ((pSessionType != NULL) && (RTStrIStartsWith(pSessionType, "wayland"))) {
+        return true;
     }
     return false;
 }
@@ -670,7 +676,7 @@
 
 static bool init()
 {
-    if (!isX11())
+    if (isXwayland())
     {
         VBClLogFatalError("The parent session seems to be non-X11. Exiting...\n");
         VBClLogInfo("This service needs X display server for resizing and multi monitor handling to work\n");

Fixed in Trunk with revision r138058
Fixed in 6.1.X with revision r138064

I'll make sure to release test builds asap.

Last edited 6 months ago by fbatschu (previous) (diff)

comment:22 Changed 6 months ago by fbatschu

  • Keywords 6.1.8 added

comment:23 Changed 6 months ago by fbatschu

The following test builds of the guest additions containing the fix are available:

for trunk:

https://www.virtualbox.org/download/testcase/VBoxGuestAdditions_6.1.97-138059.iso

for 6.1.X:

https://www.virtualbox.org/download/testcase/VBoxGuestAdditions_6.1.9-138064.iso

Or all later ones with Trunk >= revision r138058 und 6.1.X >= revision r138064 from:

https://www.virtualbox.org/wiki/Testbuilds

Last edited 6 months ago by fbatschu (previous) (diff)

comment:24 Changed 6 months ago by Wheaties

Whoo hoo! I tried the VBoxGuestAdditions_6.1.9-138064.iso and it works!! No error message and I can resize the window! Thank you!

Matt

comment:25 follow-up: ↓ 26 Changed 6 months ago by tyn4ae

@fbatschu the issue seems to have worsened when trying VBoxGuestAdditions_6.1.9-138064.iso In addition to my previous comment here, this time when going into tty1 and type startx, the VM crashes with segfault.

On Xubuntu this is the setup i am using on the VM: Ubuntu Server 18.04 with added packages lightdm-gtk-greeter xfce4 xfce4-goodies xfce4-clipman build-essential. I then install guest additions from 6.1.8 OR the new test build you released, i login to lightdm and then get segfault crashes. I dont know how to get logs for this if i can help in any way? Or if you can just create a VM with the setup above and reproduce?

Last edited 6 months ago by tyn4ae (previous) (diff)

comment:26 in reply to: ↑ 25 Changed 6 months ago by fbatschu

Replying to tyn4ae:

@fbatschu the issue seems to have worsened when trying VBoxGuestAdditions_6.1.9-138064.iso In addition to my previous comment here, this time when going into tty1 and type startx, the VM crashes with segfault.

On Xubuntu this is the setup i am using on the VM: Ubuntu Server 18.04 with added packages lightdm-gtk-greeter xfce4 xfce4-goodies xfce4-clipman build-essential. I then install guest additions from 6.1.8 OR the new test build you released, i login to lightdm and then get segfault crashes. I dont know how to get logs for this if i can help in any way? Or if you can just create a VM with the setup above and reproduce?


Your issue seems to be unrelated to the problem at hand dealed with in this bug. You should file a seperate bug descrribing the installation/setup and steps to reproduce it in detail as well as attaching the corresponding Vbox log files of the crashing VM.

I am using those bits as well on a Ubuntu 18.04.04 server running with a Ubuntu 18.04.04 guests using lightdm without problems.

The log file is stored in the VM location /your/path/<vm-name>/VBox.log

comment:27 follow-up: ↓ 28 Changed 6 months ago by oceanjeremy

I'm running OSX host / Centos 8 guest. Just upgraded Guest Additions to 6.1.9-138064, still no dice. I still get the "Parent session seems to be non-X11" and the screen resize doesn't work.

I see that it worked for wheaties, and I am super envious.

Fwiw, this is my first VirtualBox machine ever. I've been beating my head against a wall about this for a week and a half and still haven't been able to make it usable. I can't use it with a 800x600 screen, and if I switch graphics controllers from VMSVGA it flickers to the point it's unusable. I'm getting real, real impatient for this system to actually start working.

Guess I'll try downgrading to Guest Additions 6.1.2 until a real fix appears, but just wanted to alert everyone that this is still a problem for Centos 8.

Last edited 6 months ago by oceanjeremy (previous) (diff)

comment:28 in reply to: ↑ 27 ; follow-up: ↓ 29 Changed 6 months ago by fbatschu

Replying to oceanjeremy:

I'm running OSX host / Centos 8 guest. Just upgraded Guest Additions to 6.1.9-138064, still no dice. I still get the "Parent session seems to be non-X11" and the screen resize doesn't work.

Is your CentOS 8 guest using Xwayland or Xorg? If it is using Xwayland it cannot work currently. How to find out?

see https://www.virtualbox.org/ticket/19590#comment:13
example: "Oracle Linux 8.1 Xwayland:"

Last edited 6 months ago by fbatschu (previous) (diff)

comment:29 in reply to: ↑ 28 ; follow-up: ↓ 30 Changed 6 months ago by oceanjeremy

If anyone's wondering: I've got it working now with GA 6.1.2, though it runs slowly on VMSVGA. If I try VBoxVGA or VBoxSVGA I can't use 3D Acceleration and I get screen flickering. As of now I've got it on VMSVGA with a smaller resolution than what I'd really like, but it's at least usable!

As to your question...

Replying to fbatschu:

Is your CentOS 8 guest using Xwayland or Xorg? If it is using Xwayland it cannot work currently. How to find out?

see https://www.virtualbox.org/ticket/19590#comment:13
example: "Oracle Linux 8.1 Xwayland:"

It's using Xwayland, I had a feeling that might be the problem.

Again, this is my first rodeo — I am literally only setting up this VM so I can take a course on CentOS / RHEL. So I don't know the difference between Xwayland and Xorg. How can I switch my VM to Xorg?

Or do I just have to wait until there's a new GA that works with Xwayland?

Last edited 6 months ago by oceanjeremy (previous) (diff)

comment:30 in reply to: ↑ 29 Changed 6 months ago by fbatschu

Replying to oceanjeremy:

this VM so I can take a course on CentOS / RHEL. So I don't know the difference between Xwayland and Xorg. How can I switch my VM to Xorg?


 https://www.redhat.com/en/blog/red-hat-enterprise-linux-8-gnome-and-display-server-changes[[BR]]

=> RHEL 8 GNOME Classic interface

 https://www.tecmint.com/configure-xorg-as-default-gnome-session/[[BR]]

=>
 https://lmgtfy.com/?q=centos+8+switch+xwayland+to+xorg+session&pp=1[[BR]]

comment:31 Changed 6 months ago by zd59

The simplest solution without replacing VBOX Additions-6.1.8 is here: https://www.virtualbox.org/ticket/19496, comment 47

And everybody's happy..

comment:32 Changed 6 months ago by nubaltec

I am running VirtualBox on several devuan installations with the same problem. Devuan does not use systemd. Besides, BSD does not even have systemd, for future reference...

comment:33 Changed 6 months ago by fbatschu

  • Status changed from accepted to closed
  • Resolution set to fixed
  • Summary changed from VBoxClient: The parent session seems to be non-X11 to VBoxClient: The parent session seems to be non-X11 (fixed in 6.1.10)

fixed in Virtualbox release 6.1.10

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use